Loading...
Searching...
No Matches
EST_TrieNode Class Reference

`#include <include/EST_StringTrie.h>`

## Public Member Functions

| EST_TrieNode (const int width)
void * | lookup (const unsigned char *key) const
| Find the contents for given string, 0 if no current contents.
void | add (const unsigned char *key, void *item)
| add {\tt item} for {\tt key} overwriting previous contents
void | copy_into (EST_StringTrie &trie, const EST_String &path) const
| copy all entries in trie node into trie

## Detailed Description

An internal class for \Ref{EST_StringTrie} used to hold represent the node in an string index tree.

This basically represents a 128-branching node (on for each character) plus a contents field for strings ending at this point.

Author
  Alan W Black (awb@c.nosp@m.str..nosp@m.ed.ac.nosp@m..uk): June 1996

Definition at line 56 of file EST_StringTrie.h.

## Constructor & Destructor Documentation

## EST_TrieNode() [1/2]

EST_TrieNode::EST_TrieNode | ( |  | ) |

inline

Definition at line 64 of file EST_StringTrie.h.

## EST_TrieNode() [2/2]

EST_TrieNode::EST_TrieNode | ( | const int | width | ) |

Definition at line 55 of file EST_StringTrie.cc.

## ~EST_TrieNode()

EST_TrieNode::~EST_TrieNode | ( |  | ) |

Definition at line 64 of file EST_StringTrie.cc.

## Member Function Documentation

## lookup()

void * EST_TrieNode::lookup | ( | const unsigned char * | key | ) | const

Find the contents for given string, 0 if no current contents.

Definition at line 75 of file EST_StringTrie.cc.

## add()

void EST_TrieNode::add | ( | const unsigned char * | key,
|  | void * | item )

add {\tt item} for {\tt key} overwriting previous contents

Definition at line 111 of file EST_StringTrie.cc.

## copy_into()

void EST_TrieNode::copy_into | ( | EST_StringTrie & | trie,
|  | const EST_String & | path ) const

copy all entries in trie node into trie

Definition at line 91 of file EST_StringTrie.cc.

The documentation for this class was generated from the following files:

- include/EST_StringTrie.h
- base_class/EST_StringTrie.cc